From 50b14f696c960d2658cd6848cc8426311e7a452c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sat, 2 May 2015 13:58:05 +0200
Subject: [PATCH 14/45] Turn start_send_channel_request()'s type argument into
 char *

---
 channel.h         | 2 +-
 cli-chansession.c | 2 +-
 common-channel.c  | 4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/channel.h b/channel.h
index d16cb03..c73fbe8 100644
--- a/channel.h
+++ b/channel.h
@@ -135,7 +135,7 @@ int send_msg_channel_open_init(int fd, const struct ChanType *type);
 void recv_msg_channel_open_confirmation();
 void recv_msg_channel_open_failure();
 #endif
-void start_send_channel_request(struct Channel *channel, unsigned char *type);
+void start_send_channel_request(struct Channel *channel, char *type);
 
 void send_msg_request_success();
 void send_msg_request_failure();
diff --git a/cli-chansession.c b/cli-chansession.c
index 9895f13..4e55287 100644
--- a/cli-chansession.c
+++ b/cli-chansession.c
@@ -305,7 +305,7 @@ static void send_chansess_pty_req(struct Channel *channel) {
 
 static void send_chansess_shell_req(struct Channel *channel) {
 
-	unsigned char* reqtype = NULL;
+	char* reqtype = NULL;
 
 	TRACE(("enter send_chansess_shell_req"))
 
diff --git a/common-channel.c b/common-channel.c
index a2ab985..6d69de9 100644
--- a/common-channel.c
+++ b/common-channel.c
@@ -1244,12 +1244,12 @@ struct Channel* get_any_ready_channel() {
 }
 
 void start_send_channel_request(struct Channel *channel, 
-		unsigned char *type) {
+		char *type) {
 
 	CHECKCLEARTOWRITE();
 	buf_putbyte(ses.writepayload, SSH_MSG_CHANNEL_REQUEST);
 	buf_putint(ses.writepayload, channel->remotechan);
 
-	buf_putstring(ses.writepayload, type, strlen(type));
+	buf_putstring(ses.writepayload, (const unsigned char *) type, strlen(type));
 
 }

